summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorlisuke2018-02-25 23:45:50 +0800
committerlisuke2018-02-25 23:45:50 +0800
commit2e5938f998827f4c887a08523cbd659b10f4ec5c (patch)
treee455e6ea3b72026013c29ef21863b561e42b4490
parentccdf96fd68eb95dcfcea597404620b4dcf8d30d4 (diff)
downloadaur-2e5938f998827f4c887a08523cbd659b10f4ec5c.tar.gz
add /etc/sysctl.d/50-miredo.conf -> "close ipv6" and /etc/systemd/system/multi-user.target.wants/miredo.service -> "systemd service file"
-rw-r--r--.SRCINFO6
-rw-r--r--50-miredo.conf2
-rw-r--r--PKGBUILD9
-rw-r--r--miredo.service11
4 files changed, 25 insertions, 3 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 94ed2c824be..ac1a3fdb9f1 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = miredo-debian
pkgdesc = miredo, miredo.deb
pkgver = 1.2.6
- pkgrel = 1
+ pkgrel = 2
url = https://packages.debian.org/jessie/miredo
arch = armv7h
license = unknown
@@ -12,7 +12,11 @@ pkgbase = miredo-debian
conflicts = miredo
options = !strip
source = http://ftp.cn.debian.org/debian/pool/main/m/miredo/miredo_1.2.6-2_armhf.deb
+ source = miredo.service
+ source = 50-miredo.conf
md5sums = 4680e1bf2fa322d442be326f94490114
+ md5sums = eccff5befe0e71875c3429e71b81bcda
+ md5sums = 44fad4f428c85b64a9c46c93ec76079f
pkgname = miredo-debian
diff --git a/50-miredo.conf b/50-miredo.conf
new file mode 100644
index 00000000000..746a87cc531
--- /dev/null
+++ b/50-miredo.conf
@@ -0,0 +1,2 @@
+net.ipv6.conf.eth0.disable_ipv6 = 1
+net.ipv6.conf.lo.disable_ipv6 = 1
diff --git a/PKGBUILD b/PKGBUILD
index 11f026299e5..7c2d7861914 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
# Maintainer: lisuke <1657787678@qq.com>
pkgname=miredo-debian
pkgver=1.2.6
-pkgrel=1
+pkgrel=2
pkgdesc="miredo, miredo.deb"
arch=('armv7h')
@@ -16,10 +16,14 @@ checkdepends=()
source=(
"http://ftp.cn.debian.org/debian/pool/main/m/miredo/miredo_${pkgver}-2_armhf.deb"
+ "miredo.service"
+ "50-miredo.conf"
)
noextract=()
md5sums=(
'4680e1bf2fa322d442be326f94490114'
+ "eccff5befe0e71875c3429e71b81bcda"
+ "44fad4f428c85b64a9c46c93ec76079f"
)
validpgpkeys=()
@@ -36,7 +40,8 @@ package() {
install -D -m755 etc/miredo/client-hook ${pkgdir}/etc/miredo/client-hook || return 1
install -D -m644 etc/miredo/miredo.conf ${pkgdir}/etc/miredo/miredo.conf || return 1
install -D -m755 etc/network/if-up.d/miredo ${pkgdir}/etc/network/if-up.d/miredo || return 1
-
+ install -D -m644 miredo.service ${pkgdir}/etc/systemd/system/multi-user.target.wants/miredo.service || return 1
+ install -D -m644 50-miredo.conf ${pkgdir}/etc/sysctl.d/50-miredo.conf || return 1
#/usr
##lib
diff --git a/miredo.service b/miredo.service
new file mode 100644
index 00000000000..a2d5ccfb76a
--- /dev/null
+++ b/miredo.service
@@ -0,0 +1,11 @@
+[Unit]
+Description=Teredo IPv6 tunneling
+After=network.target
+
+[Service]
+ExecStartPre=/usr/bin/miredo-checkconf -f /etc/miredo/miredo.conf
+ExecStart=/usr/bin/miredo -f
+ExecReload=/bin/kill -HUP $MAINPID
+
+[Install]
+WantedBy=multi-user.target